<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Incluir clases manualmente (sin Composer)
require_once __DIR__ . '/PHPMailer/src/Exception.php';
require_once __DIR__ . '/PHPMailer/src/PHPMailer.php';
require_once __DIR__ . '/PHPMailer/src/SMTP.php';

function enviarCorreoRegistro($email, $nombre, $passwordPlano) {
    $mail = new PHPMailer(true);
    try {
        // Configurar servidor SMTP gmail
        //$mail->isSMTP();
        //$mail->Host       = 'smtp.gmail.com';
        //$mail->SMTPAuth   = true;
        //$mail->Username   = 'siapol.soporte@gmail.com';        
        //$mail->Password   = 'crzc pwdc dmpr tisw';             
        //$mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
        //$mail->Port       = 587;

        //servidor web
        $mail->isSMTP();
        $mail->Host       = 'mail.ascensofacil.com';        // O el que te dé el hosting
        $mail->SMTPAuth   = true;
        $mail->Username   = 'soporte@ascensofacil.com';      // Tu nuevo correo corporativo
        $mail->Password   = '3DS0NCH4115H4CK3R+';           // Contraseña del correo
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;  // O PHPMailer::ENCRYPTION_SMTPS si es SSL
        $mail->Port       = 587;                       // O 465 si usas SSL

        $mail->setFrom('soporte@ascensofacil.com', 'Simulador AscensoFacil');


        // Remitente y destinatario
        //$mail->setFrom('siapol.soporte@gmail.com', 'Simulador SIAPOL');
        $mail->addAddress($email, $nombre);
        $mail->addBCC('siapol.soporte@gmail.com', 'Edson'); // Copia oculta
        $mail->addBCC('noldachipana@gmail.com', 'Nolda');

        // Contenido del mensaje
        $mail->isHTML(true);
        $mail->Subject = 'Registro exitoso';
        $mail->Body    = "
            <h3>Hola $nombre</h3>
            <p>Te has registrado exitosamente en el SIMULADOR AscensoFacil.</p>
            <p><strong>USUARIO:</strong> $email<br>
            <strong>CONTRASEÑA:</strong> $passwordPlano</p>
            <p>Ya puedes ingresar a nuestra plataforma y hacer uso de todas sus herramientas.</p>
            <p>Ingrese por este Link:  https://ascensofacil.com</p>
            <p>Unete a nuestro grupo de WhatsApp sobre los procesos de ascenso y nombramiento docente: https://chat.whatsapp.com/G0LlP5NUs0tEy0uKjahchQ?mode=ems_share_t</p>
        ";
        $mail->AltBody = "Hola $nombre,\nTu registro fue exitoso.\nUSUARIO: $email\nCONTRASEÑA: $passwordPlano";

        $mail->send();
        return true;
    } catch (Exception $e) {
        return false;
    }
}
